/*
 * JPA entity PK template
 */

package de.ivu.elect.business.wahlvorschlagsperson.entity;

@javax.enterprise.inject.Vetoed
public class WahlvorschlagsPersonPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<WahlvorschlagsPersonPK> {

  private static final long serialVersionUID = 0L;

  public WahlvorschlagsPersonPK() {
    super();
  }

  public WahlvorschlagsPersonPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "WahlvorschlagsPersonPK:"+getId();
  }

  @Override
  public int compareTo(WahlvorschlagsPersonPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
